# Get All User Collections

This endpoint allows getting all user collections. This API available only for user access-token integration

## Get All User Collections

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/collections`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "collections": [
    {
      "id": "97f77cceca5d11e7ae7e42010a9a0035",
      "name": "My collection",
      "recipesCount": 10
    },
    {
      "id": "17b53cceca5d11e5ae7e42010a9a0075",
      "name": "My other collection",
      "recipesCount": 2
    }
  ],
  "totalRecipesCount": 12
}
```

{% endtab %}
{% endtabs %}

## Response

The result is a list of all user collections.

| ATTRIBUTE     |   | TYPE   |   | DESCRIPTION |
| ------------- | - | ------ | - | ----------- |
| collections\* |   | object |   |             |

### Sample Request

```bash
curl "https://graph.whisk.com/v1/collections" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer <Access-Token>"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-all-user-collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
